#vertex shader
#version 330 core
layout (location = 0) in vec3 coords;
layout (location = 1) in vec3 color;
varying vec3 v_color;

uniform mat4 MVP;
uniform mat4 OM;

void main()
{
  gl_Position = MVP * OM * vec4(coords, 1.0);
  v_color = color;
};

#fragment shader
#version 330 core
out vec4 FragColor;
varying vec3 v_color;

void main()
{
  FragColor = vec4(v_color, 1.0);
};
